Bug 836092 - Assamese language doesn't have plural information.
Assamese language doesn't have plural information.
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-Logic (Show other bugs)
1.6
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 1.6.1
Assigned To: Carlos Munoz
Ding-Yi Chen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-28 02:18 EDT by Carlos Munoz
Modified: 2012-07-03 01:27 EDT (History)
1 user (show)

See Also:
Fixed In Version: Zanata version 1.6.1-SNAPSHOT (20120702-0014)
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-03 01:27:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Carlos Munoz 2012-06-28 02:18:02 EDT
Assamese doesn't have plural information in Zanata and thus cannot be added to a Zanata instance. Furthermore, existing instances that already have translations for Assamesse could fail while pushing/pulling translations.
Comment 1 Carlos Munoz 2012-06-28 02:28:22 EDT
Added Assamesse plural form to Zanata. Also added a default plural form so that locales can be added to zanata when Zanata does not hold specific plural form information. This default is basically no plurals allowed, which can be overridden by supplying the information on a POT file when pushing.

See:
http://github.com/zanata/zanata/commit/49ce2a7f68690138aa2c124b6a5ebf0cc40ad9dc
Comment 2 Carlos Munoz 2012-06-29 02:31:24 EDT
Added warning when adding a locale for which no plural information can be found.

See:
http://github.com/zanata/zanata/commit/7b992e7a36110a321e41b5902de4e5d5e52e3013
Comment 3 Ding-Yi Chen 2012-07-02 01:55:24 EDT
VERIFIED with Zanata version 1.6.1-SNAPSHOT (20120702-0014)
Zanata version 1.7-SNAPSHOT (20120702-0025)

Note You need to log in before you can comment on or make changes to this bug.